# Uses of Interface
org.eclipse.equinox.p2.metadata.IProvidedCapability

Packages that use IProvidedCapability
Package
Description
org.eclipse.equinox.p2.metadata
Defines the metadata being handled by p2.

## Uses of IProvidedCapability in org.eclipse.equinox.p2.metadata

Methods in org.eclipse.equinox.p2.metadata that return IProvidedCapability
Modifier and Type
Method
Description
`static IProvidedCapability`
MetadataFactory.`createProvidedCapability(String namespace, String name, Version version)`
Returns a `IProvidedCapability` with the given values.
`static IProvidedCapability`
MetadataFactory.`createProvidedCapability(String namespace, Map<String,Object> properties)`
Returns a `IProvidedCapability` with the given values.
Methods in org.eclipse.equinox.p2.metadata that return types with arguments of type IProvidedCapability
Modifier and Type
Method
Description
`Collection<IProvidedCapability>`
IInstallableUnit.`getProvidedCapabilities()`
Returns the collection of capabilities provided by this installable unit.
`Collection<IProvidedCapability>`
MetadataFactory.InstallableUnitDescription.`getProvidedCapabilities()`
Return a collection of all the capabilities specified on this installable unit.
Methods in org.eclipse.equinox.p2.metadata with parameters of type IProvidedCapability
Modifier and Type
Method
Description
`void`
MetadataFactory.InstallableUnitDescription.`setCapabilities(IProvidedCapability[] exportedCapabilities)`
Set the capabilities for the installable unit.
Method parameters in org.eclipse.equinox.p2.metadata with type arguments of type IProvidedCapability
Modifier and Type
Method
Description
`void`
MetadataFactory.InstallableUnitDescription.`addProvidedCapabilities(Collection<IProvidedCapability> additional)`
Add the specified capabilities to the installable unit.